---
- name: Disable default OperatorHub catalog sources in a disconnected environment
  k8s:
    kubeconfig: "{{ openshift_kubeconfig }}"
    name: cluster
    kind: OperatorHub
    resource_definition:
      spec:
        disableAllDefaultSources: "{{ disconnected_install | default(false)}}"
    state: patched

- name: Add OperatorHub catalog sources
  k8s:
    kubeconfig: "{{ openshift_kubeconfig }}"
    resource_definition: "{{ lookup('template', 'operatorhub/catalogsource-operator-index.yaml.j2') | from_yaml }}"
    state: present
  loop: "{{ catalogsources }}"
  loop_control:
    loop_var: catalogsource
    label: "{{ catalogsource.name }}"
  when:
  - (disconnected_install | default(False)) == True

